CMSIS-DSP: Barycenter

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Barycenter
Support Functions

## Functions

void | arm_barycenter_f16 (const float16_t *in, const float16_t *weights, float16_t *out, uint32_t nbVectors, uint32_t vecDim)
| Barycenter. More...
void | arm_barycenter_f32 (const float32_t *in, const float32_t *weights, float32_t *out, uint32_t nbVectors, uint32_t vecDim)
| Barycenter. More...

## Description

Barycenter of weighted vectors

## Function Documentation

void arm_barycenter_f16 | ( | const float16_t * | in,
|  | const float16_t * | weights,
|  | float16_t * | out,
|  | uint32_t | nbVectors,
|  | uint32_t | vecDim
| ) |  |

Parameters

  [in] | *in | List of vectors
  [in] | *weights | Weights of the vectors
  [out] | *out | Barycenter
  [in] | nbVectors | Number of vectors
  [in] | vecDim | Dimension of space (vector dimension)

Returns
  None

void arm_barycenter_f32 | ( | const float32_t * | in,
|  | const float32_t * | weights,
|  | float32_t * | out,
|  | uint32_t | nbVectors,
|  | uint32_t | vecDim
| ) |  |

Parameters

  [in] | *in | List of vectors
  [in] | *weights | Weights of the vectors
  [out] | *out | Barycenter
  [in] | nbVectors | Number of vectors
  [in] | vecDim | Dimension of space (vector dimension)

Returns
  None